image: python:3.8-buster

before_script:
  - pip install -r requirements.txt

pages:
  stage: deploy
  script:
  - mkdocs build --strict --verbose --site-dir public
  artifacts:
    paths:
    - public
  only:
  - main
